from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ('maps', '0019_auto_20211104_1603'),
    ]

    operations = [
        migrations.AddField(
            model_name='map',
            name='condition',
            field=models.CharField(blank=True, max_length=1000, null=True, verbose_name='Display condition'),
        ),
        migrations.AlterField(
            model_name='maplayer',
            name='tiles_attribution',
            field=models.CharField(
                blank=True,
                help_text=(
                    'Par exemple\xa0: Map data &amp;copy; &lt;a href=&quot;https://openstreetmap.org&quot;&gt;OpenStreetMap&lt;/a&gt; contributors, '
                    '&lt;a href=&quot;http://creativecommons.org/licenses/by-sa/2.0/&quot;&gt;CC-BY-SA&lt;/a&gt;'
                ),
                max_length=1024,
                null=True,
                verbose_name='Attribution',
            ),
        ),
        migrations.AlterField(
            model_name='maplayer',
            name='tiles_template_url',
            field=models.CharField(
                blank=True,
                help_text='Par exemple\xa0: https://tiles.entrouvert.org/hdm/{z}/{x}/{y}.png',
                max_length=1024,
                null=True,
                verbose_name='Tiles URL',
            ),
        ),
    ]
