from importlib import import_module

import pytest
from django.conf import settings
from django.test.client import RequestFactory


@pytest.fixture
def context():
    ctx = {'request': RequestFactory().get('/')}
    ctx['request'].user = None
    session_engine = import_module(settings.SESSION_ENGINE)
    ctx['request'].session = session_engine.SessionStore()
    return ctx
