$(function () {
  function filter_items(field, items) {
    items.show();
    items.removeAttr('data-ignore');
    field.parents('form').find('select').each(function() {
      var filter_id = $(this).attr('name').toLowerCase();
      var value = $(this).val();
      if (value.length) {
        var items_to_hide = items.filter(function() {
          elem = $(this).hasClass('cell') ? $(this).find('.cell--body,.cell--body-deferred') : $(this);
          return $(value).filter(elem.data(filter_id)).length == 0;
        });
        items_to_hide.hide();
        items_to_hide.attr('data-ignore', filter_id);
      }
    });
  }

  $(document).on('combo:cell-loaded', function(ev, cell) {
    $(cell).find('.wcs-card-filters select').change(function() {
      var items = $(this).parents('.cell').find('.links-list li, tbody tr');
      filter_items($(this), items);
      $(document).trigger('combo:refresh-pagination', cell);
    });
  });

  $('.card-filters--container .wcs-card-filters select').change(function() {
    var cells_pk = $(this).parents('form').data('target-cells-pk');
    var cells = $('.wcs_wcscardcell-' + cells_pk);
    filter_items($(this), cells);
    var pagination = $('.cell-items-pagination[data-cell-reference="wcs_wcscardcell-' + cells_pk + '"]')[0];
    $(document).trigger('combo:refresh-pagination-cards', pagination);
  });
});
